IntroductionQuickstartAuthenticationPaginationRate Limit

Search endpoints

Job Search POSTCompany Search POSTTechnographics POST

Account endpoints

Get Credit Balance GETGet Credits Consumption GET

Other

Delete Company List DELETEGet List GETExport Companies From List GETGet Companies From List GETList All Lists GETRename Company List PATCHAdd Companies To Multiple Lists POSTAdd Companies To List POSTDuplicate List POSTRemove Companies From List POSTCreate Company List POST
TheirStack TheirStack Logo
DocumentationAPI ReferenceWebhooksDatasetsMCPGuides
Company lists

Create Company List

POST
/v0/company_lists

Authorization

Bearer
AuthorizationBearer <token>

In: header

Request Body

application/json

  • name
    stringrequired

    Name of the company list

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.theirstack.com/v0/company_lists" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "name": "string",
  "id": 0,
  "created_at": "2019-08-24T14:15:22Z",
  "deletable": true,
  "companies_count": 0,
  "user_id": 0,
  "type": "REVEALED_COMPANIES",
  "webhook_id": 0
}
{
  "request_id": null,
  "error": {
    "code": "E-001",
    "title": "Not allowed exception",
    "description": "string"
  }
}
{
  "request_id": null,
  "error": {
    "code": "E-001",
    "title": "Not allowed exception",
    "description": "string"
  }
}
{
  "request_id": null,
  "error": {
    "code": "E-001",
    "title": "Not allowed exception",
    "description": "string"
  }
}
{
  "request_id": null,
  "error": {
    "code": "E-001",
    "title": "Not allowed exception",
    "description": "string"
  }
}

How is this guide?

Last updated on

Remove Companies From List POST

Previous Page

List Datasets GET

Get all the datasets available for your team. Datasets are updated daily. Use this endpoint to get the latest dataset url.